*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

/*Start of CSS Landing Page*/

.landing{
	height: 100vh;
	width: 100%;
	background: linear-gradient(to bottom, rgba(219,219,219,1), rgba(46,46,46,1)), url(../images/brickWallBlack.jpg);
	background-size: cover;
	background-position: center;
	}

.landing > div{
	
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	color: white;
}


.door {
	width: 50vh;
	display: flex;
	justify-content: center;
	align-items: center;
	transition: 4s;
	z-index: 100;
	
}

.door:hover{
	display: flex;
	justify-content: space-between;
}

.door:hover > #enter, #enter:hover{
	display: initial;
}

.btn{
	padding: 10px 20px;
	border-radius: 15px;
	border:	none;
	background-color: #2e2e2e;
	text-decoration: none;
	color: yellow;
}
#enter{
	display: none;
}

/*End of CSS Landing Page*/

/*Start of CSS navbar*/


.sideBar{
	width: 100px;
	height: 100%;
	position: fixed;
	transition: .3s;
	z-index: 1000;

}

.sideBar > a{
	color: yellow;
	text-decoration: none;
}

.sideBar > a > div{
	height: 60px;
	width: 100px;
	text-align: center;
	background-color: #383838;
	padding: 10px;
	margin: 5px;
	transition: .3s;
	border-radius: 0px 50px 50px 0px;

}



.sideBar > a > div:hover{
	position: relative;
	width: 120px;
	padding-right: 30px;

}

/*Start of CSS navbar*/

/*Start of CSS Homepage*/

.pageBg{
	background: url(../images/glassrainbg.gif);
	background-size: cover;
	background-position: fixed;
	background-attachment: fixed;
	align-items: center;
}

.pageBg > section{
	display: flex;
	flex-direction: column;
	
}

.profile > img{
	border-radius: 50%;
}

.profile{
	color: #FFFFFF;
	text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #CEB404, 0 0 30px #CEB404, 0 0 40px #CEB404, 0 0 55px #CEB404, 0 0 75px #CEB404;
}

.pageGap1{
	height: 200px;
	border: 1px solid black;
	background: url(../images/sunraysbg2.jpg);
	background-position: fixed;
	background-attachment: fixed;
	background-size: cover;

}

.pageGap2{
	height: 200px;
	border: 1px solid black;
	background: url(../images/sunrise2.jpg);
	background-position: fixed;
	background-attachment: fixed;
	background-size: cover;
}
.pageGap3{
	height: 200px;
	border: 1px solid black;
	background: url(../images/sunrise3.jpg);
	background-position: fixed;
	background-attachment: fixed;
	background-size: cover;

}
.pageGap4{
	height: 200px;
	border: 1px solid black;
	background: url(../images/sunrise4.jpg);
	background-position: fixed;
	background-attachment: fixed;
	background-size: cover;

}

.pageGap5{
	height: 200px;
	border: 1px solid black;
	background: url(../images/sunsetSkies.jpg);
	background-position: fixed;
	background-attachment: fixed;
	background-size: cover;

}

.pages{
	height: 100vh;
	background-color: whitesmoke;
	/*filter: blur(8px);
	-webkit-filter: blur(8px);*/
    background-color: rgba(0,0,0,0.5);
    
    /*filter:blur(4px);*/
    /*-o-filter:blur(4px);*/
    /*-ms-filter:blur(4px);
    -moz-filter:blur(4px);
    -webkit-filter:blur(4px);*/
}

.home{
	background-size: cover;
	background-position: center;
	border: 1px solid green;
	
}

.home > div{
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.profile{
	text-align: center;
}

.profile > img{
	height: 100px;
	width: 100px;
}

/*End of CSS Homepage*/

/*Start of About Me page*/

.aboutMe{
	

}


/*End of About Me page*/

/*Start of My Projects page*/

.myProjects{
	display: flex;
	justify-content: center;
	align-items: center;
}

.myProjects div{
	height: 70%;
	width: 100%;
	text-align: center;
}

.myprojects-heading{
	display: flex;
	justify-content: center;
	align-items: center;
}

.myprojects-heading div{
	width: 20%;
	margin: 10px;
	display: flex;
	justify-content: center;
	align-items: flex-start;
	border-radius: 20px;
}

.first-proj{
	height: 100%;
	width: 100%;
	font-size: 30px;
	color: #FFFFFF;
	text-shadow: 0 1px 0 #CCCCCC, 0 2px 0 #c9c9c9, 0 3px 0 #bbb, 0 4px 0 #b9b9b9, 0 5px 0 #aaa, 0 6px 1px rgba(0,0,0,.1), 0 0 5px rgba(0,0,0,.1), 0 1px 3px rgba(0,0,0,.3), 0 3px 5px rgba(0,0,0,.2), 0 5px 10px rgba(0,0,0,.25), 0 10px 10px rgba(0,0,0,.2), 0 20px 20px rgba(0,0,0,.15);
	
}

.first-proj > a > img{
	height: 100%;
	width: 100%;
	border-radius: 20px;
}

.second-proj{
	height: 100%;
	width: 100%;
	font-size: 30px;
	color: #FFFFFF;
	text-shadow: 0 1px 0 #CCCCCC, 0 2px 0 #c9c9c9, 0 3px 0 #bbb, 0 4px 0 #b9b9b9, 0 5px 0 #aaa, 0 6px 1px rgba(0,0,0,.1), 0 0 5px rgba(0,0,0,.1), 0 1px 3px rgba(0,0,0,.3), 0 3px 5px rgba(0,0,0,.2), 0 5px 10px rgba(0,0,0,.25), 0 10px 10px rgba(0,0,0,.2), 0 20px 20px rgba(0,0,0,.15);
	
}

.second-proj > a{
	height: 100%;
}

.second-proj > a > img{
	width: 100%;
	border-radius: 20px;
}

.third-proj{
	height: 100%;
	width: 100%;
	background: url(../images/projBG.jpg);
	background-size: cover;
	font-size: 30px;
	color: #FFFFFF;
	text-shadow: 0 1px 0 #CCCCCC, 0 2px 0 #c9c9c9, 0 3px 0 #bbb, 0 4px 0 #b9b9b9, 0 5px 0 #aaa, 0 6px 1px rgba(0,0,0,.1), 0 0 5px rgba(0,0,0,.1), 0 1px 3px rgba(0,0,0,.3), 0 3px 5px rgba(0,0,0,.2), 0 5px 10px rgba(0,0,0,.25), 0 10px 10px rgba(0,0,0,.2), 0 20px 20px rgba(0,0,0,.15);
	
}

/*End of My Projects page*/

/*Start of My Skills page*/

.mySkills{
	

}


/*End of My Skills page*/

/*Start of Contact Me page*/

.contactMe{
	

}


/*End of Contact Me page*/

/*media-queries*/

/*iPad*/
@media only screen and (min-width: 375px) and (max-width: 767px){

	.sideBar > div{
		height: 60px;
		width: 100px;
		font-size: 15px;
	}

	.sideBar > div:hover{
	width: 240px;
	padding-right: 50px;
	}
	.myprojects-heading{
		flex-direction: column;
	}

	.myprojects-heading > div{
		height: 130px;
		width: 130px;
		font-size: 20px;
	}
}

/*iPhone 6/7/8*/
@media only screen and (min-width: 768px){

	.sideBar > div{
		width: 170px;
		font-size: 25px;
	}

	.sideBar > div:hover{
		width: 200px;
		padding-right: 60px;
	}

}


